lp:~smoser/ubuntu/wily/maas/lp1474417

Created by Scott Moser on 2015-07-15 and last modified on 2015-07-15
Get this branch:
bzr branch lp:~smoser/ubuntu/wily/maas/lp1474417
Only Scott Moser can upload to this branch. If you are Scott Moser please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Scott Moser
Status:
Development

Recent revisions

83. By Scott Moser on 2015-07-15

maas-proxy: sync apt specific squid config with squid-deb-proxy
(LP: #1474417)

82. By Andres Rodriguez on 2015-07-10

* debian/control: Make maas-dns a Dependy of maas-region-controller.
* debian/maas-region-controller.postinst: Ensure DNS config migration is
  always run. (LP: #1413388)

81. By Andres Rodriguez on 2015-07-03

* New upstream release 1.7.6 bzr3376:
  - Accept list of forwarders for upstream_dns rather than just
    one. (LP: #1470585)
  - Fix upgrade issue where it would remove custom DNS config,
    potentially breaking DNS. (LP: #1413388)

[ Raphaƫl Badin ]
* Drop dependency on python-iscpy: the code has been integrated into
  MAAS. (LP: #1413388).

[ Andres Rodriguez ]
* Refactor maas-dns upgrade code so it doesn't break local DNS config
  and it gets migrated (LP: #1413388)

80. By Andres Rodriguez on 2015-05-11

* New upstream release, MAAS 1.7.5 bzr:
  - MAAS cli/API: missing option set use-fast-installer /
    use-debian-installer (LP: #1456969)

79. By Andres Rodriguez on 2015-05-09

* New upstream release, MAAS 1.7.4 bzr3365:
  - When MAAS has too many leases, and lease parsing fails, MAAS fails
    to auto-map NIC with network. (LP: #1387859)
  - Alert a command-line user of `maas` when their local API description
    is out-of-date. (LP: #1329267)

78. By Andres Rodriguez on 2015-04-22

* Use python-django16 instead of python-django ( 1.7). MAAS does not
  support django 1.7 due to having a new migration system. (LP: #1447573)
* Adding systemd units and packaging support. (LP: #1423613)
* debian/control: Add missing dependency on python-apt. (LP: #1446878)

77. By Andres Rodriguez on 2015-03-24

* New upstream bugfix release, 1.7.3 bzr3363:
  - Fix sorting by MAC address on node listing page (LP: #1437094)
  - Automatically set correct boot resources and start re-import
    so MAAS is usable after upgrade from 1.5. (LP: #1439359)
  - Maintain backwards compatibility with MAAS 1.5 (custom) preseeds names
    so users don't have to manually change preseed names. (LP: #1439366)
  - Expose the version and the subversion of the running MAAS
    on the API. (LP: #1441133)
  - Fix Internal Server Error when saving a cluster without specifying
    Router IP. (LP: #1441933)
- debian/patches/02-pserv-config.patch: Ensure pserv config file has a
  default. This will also fix (LP: #1273197)

76. By Andres Rodriguez on 2015-03-24

* New upstream bugfix release, 1.7.3 bzr3361:
  - Fix sorting by MAC address on node listing page (LP: #1437094)
  - Automatically set correct boot resources and start re-import
    so MAAS is usable after upgrade from 1.5. (LP: #1439359)
  - Maintain backwards compatibility with MAAS 1.5 (custom) preseeds names
    so users don't have to manually change preseed names. (LP: #1439366)
  - Expose the version and the subversion of the running MAAS
    on the API. (LP: #1441133)
- debian/patches/02-pserv-config.patch: Ensure pserv config file has a
  default. This will also fix (LP: #1273197)

75. By Andres Rodriguez on 2015-01-30

* New upstream release, 1.7.2 bzr3355:
  - Support AMT Version > 8 (LP: #1331214)
  - Fix call to amttool when restarting a node to not fail
    disk erasing. (LP: #1397567)
  - Do not generate the 'option routers' stanza if router IP
    is None. (LP: #1415538)
  - Do not deallocate StaticIPAddress before node has powered
    off. (LP: #1403909)
  - Remove all OOPS reporting. (LP: #1405998)
  - Update node host maps when a sticky ip address is claimed
    over the API. (LP: #1423931)
* debian/control:
  - Depends on ubuntu-cloudimage-keyring for region (LP: #1424287)
  - Depends on pxelinux instead of syslinux-dev (LP: #1433697)
* Drop dependencies on python-oops* and add dependency to python-bson.

74. By Steve Langasek on 2015-03-18

Depend on pxelinux for pxelinux.0, not on syslinux-dev. LP: #1433697.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/wily/maas
This branch contains Public information 
Everyone can see this information.

Subscribers